package htmlParsing;

import java.util.ArrayList;
import java.util.Map;

public interface Document {
	public String getHashCode();
	public String getUrlPath();
	public String getVectorString();
	public ArrayList<DocumentTerm> getDocumentTerms();
	public Map<String, Double> getDocumentKeywords();
	
	public void setHashCode(String hashCode);
	public void setUrlPath(String url);
	public void setVectorString(String vectorString);
	public void setDocumentTerms(ArrayList<DocumentTerm> documentTerms);
	public void setDocumentKeywords(Map<String, Double> keywordMap);
	

}
