package htmlParsing.impl;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import htmlParsing.Document;
import htmlParsing.DocumentTerm;

public class DocumentImpl implements Document{
	
	private String hashCode;
	private String url;
	private String vectorString;
	private ArrayList<DocumentTerm> documentTerms;
	private Map<String, Double> keywordMap;

	@Override
	public String getHashCode() {
		
		return hashCode;
	}

	@Override
	public String getUrlPath() {
	
		return url;
	}

	@Override
	public String getVectorString() {
		
		return vectorString;
	}

	@Override
	public void setHashCode(String hashCode) {
		this.hashCode = hashCode;
		
	}

	@Override
	public void setUrlPath(String url) {
		this.url = url;
		
	}

	@Override
	public void setVectorString(String vectorString) {
		this.vectorString = vectorString;
		
	}

	@Override
	public ArrayList<DocumentTerm> getDocumentTerms() {
		return documentTerms;
	}

	@Override
	public void setDocumentTerms(ArrayList<DocumentTerm> documentTerms) {
		this.documentTerms = documentTerms;
		
	}

	@Override
	public Map<String, Double> getDocumentKeywords() {
		return keywordMap;
	}

	@Override
	public void setDocumentKeywords(Map<String, Double> keywordMap) {
		this.keywordMap = keywordMap;
		
	}



}
