package keyphraseExtraction.impl;

import taggerAndWordbank.impl.WordbankNounsFilter;
import keyphraseExtraction.NounKeywordExtractor;

public class NounWBKeywordExtractor implements NounKeywordExtractor{
	
	private WordbankNounsFilter wbFilter;
	
	public NounWBKeywordExtractor () {
		wbFilter = new WordbankNounsFilter();
	}
	
	public boolean containsNoun(String keywordSentence){
		String[] keywordArray = keywordSentence.split(" ");
		for(String s: keywordArray){
//			System.out.println("NOUNWBKEYWORDEXTRATOR.isnoun? " + s);
			if(wbFilter.isInList(s.toLowerCase().trim())){
				return true;
			}
		}
		return false;
	}
	
	public boolean lastWordIsNoun(String sentence){
		String[] sentenceArr = sentence.split(" ");
		if(wbFilter.isInList(sentenceArr[sentenceArr.length-1])) return true;
		return false;
	}

}
