package keyphraseExtraction.impl;

import java.io.File;
import java.util.HashSet;

import util.FileReaderHelper;

public class StopwordReader {
	
	//Hashmap for stoppord
	private HashSet<String> stopwordMap;
	
	public StopwordReader(File stopwordFile){
		stopwordMap = FileReaderHelper.readFileToStringSet(stopwordFile);
	}
	
	public void printStopwordMap(){
		for(String s: stopwordMap){
			System.out.println(s);
		}
	}
	
	public HashSet<String> getStopwordMap(){
		return stopwordMap;
	}

}
