package taggerAndWordbank.impl;

import java.util.HashMap;
import java.util.HashSet;


public class WordbankNounsFilter {

	private HashMap<String, String> wordbankMap;
	private WordbankFromSerializedParser parser;
	
	public WordbankNounsFilter(){
		parser = new WordbankFromSerializedParser();
		try{
			wordbankMap = parser.extractNounWords(null);
//			wordbankMap = parser.extractAllWords(null);
		}
		catch(Exception e){
			e.printStackTrace();
		}
	}
	
	public String filterWord(String word){
		if(wordbankMap.containsKey(word)){
			
//			System.out.println(word);
			return word;
		}
		return "";
	}
	
	public boolean isInList(String word){
		return wordbankMap.containsKey(word);
	}
	
}
