package unused;

import global.GlobalParameters;

import java.io.File;
import java.nio.charset.Charset;
import java.util.Map;

import util.FileWriterHelper;

public class XmlForMulanGenerator {
	
	public void generateXml(File file){
		String xmlString="<?xml version=\"1.0\" encoding=\"utf-8\"?>" + "\n";
		xmlString += "<labels xmlns=\"http://mulan.sourceforge.net/labels\">" + "\n";
		if(file.isDirectory()){
			for(File category: file.listFiles()){
				if (category.isDirectory()){
					String name = category.getName();
//					name = fixEncoding(name);
					xmlString += "<label name=\"" + name +"\"></label>" + "\n";
				}
			}
		}
		xmlString += "</labels>";
		FileWriterHelper.writeFile("resources/xmlMulan.xml", xmlString, "UTF8");
	}
	
	public static void main(String[] args) {
		XmlForMulanGenerator gen = new XmlForMulanGenerator();
//		Map<String, Charset> charMap = Charset.availableCharsets();
//		for(String s: charMap.keySet()){
//			System.out.println(s);
//		}
		gen.generateXml(new File("resources/adressa/textRank"));
	}
	
	
	public String fixEncoding(String label){
//		String.getBytes(Charset) ;
		label = label.replaceAll("", "Å");
		label = label.replaceAll("", "Ø");
		label = label.replaceAll("", "");
		label = label.replaceAll("", "");
		label = label.replaceAll("", "");
		return label;
	}

}
