package util;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.net.URI;
import java.net.URL;

public class StringToFile {

	private static String dirPath = "resources\\documents\\";

	/*
	 * Writes one string to a text file
	 */
	public static void writeToFile(String s, String name){
		try {
			String sub = name.substring(name.length()-4, name.length());
			if(sub.equalsIgnoreCase(".txt")){
				name = name.substring(0, name.length()-4);
			}
			BufferedWriter out = new BufferedWriter(new FileWriter(dirPath + name + ".txt"));

			s = s.replaceAll("\n", System.getProperty("line.separator"));

			out.write(s);
			out.close();

		}
		catch (IOException e)
		{
			
			System.out.println("Exception ");
			e.printStackTrace();
		} 
//		catch(Exception e){
//			try{
//				BufferedWriter out = new BufferedWriter(new FileWriter(dirPath + makeValidFileName(url) + ".txt"));
//
//				s = s.replaceAll("\n", System.getProperty("line.separator"));
//
//				out.write(s);
//				out.close();
//			}
//			catch (IOException ex)
//			{
//				
//				System.out.println("Exception ");
//				ex.printStackTrace();
//			} 
//			
//		}
	}
	
	public static void writeToFileURL(String s, String url){
		try{
			BufferedWriter out = new BufferedWriter(new FileWriter(dirPath + makeValidFileName(url.toString()) + ".txt"));

			s = s.replaceAll("\n", System.getProperty("line.separator"));

			out.write(s);
			out.close();
		}
		catch (IOException ex)
		{
			
			System.out.println("Exception ");
			ex.printStackTrace();
		} 
	}
	
	public static void writeTaggedStringToFile(String s, String name){
		try {

			BufferedWriter out = new BufferedWriter(new FileWriter(dirPath + name));

			s = s.replaceAll("\n", System.getProperty("line.separator"));

			out.write(s);
			out.close();

		}
		catch (IOException e)
		{
			
			System.out.println("Exception ");
			e.printStackTrace();
		} 
	}

	/*
	 * Writes several strings to text files
	 */
	public void writeToFile(String s, String[] urls){
		for(String url: urls){
			try {
				
				BufferedWriter out = new BufferedWriter(new FileWriter(dirPath + makeValidFileName(url) + ".txt"));

				s = s.replaceAll("\n", System.getProperty("line.separator"));

				out.write(s);
				out.close();

			}
			catch (IOException e)
			{
				e.printStackTrace();
				System.out.println("Exception ");
				

			} 
		}
	}
	
	private static String makeValidFileName(String url){
//		url.replaceAll("[a-zA-Z_0-9]", "");
		try{
			URL urls = new URL(url);
			URI uri = urls.toURI();
			String s = uri.getPath();
			System.out.println(s);
			String[] split = s.split("/");
//			s = s.substring(1);
//			
//			System.out.println(s);
			String t = split[split.length-1];
			System.out.println(t);
			return t;
		}
		catch(Exception e){
			e.printStackTrace();
		}
		return null;
	}
	
	public static void main(String[] args){
		String s = "Testing av metode";
		String url = "http://www.ostlendingen.no/nyheter/gir-opp-tvinnlandet-1.4020497";
		StringToFile.writeToFile(s, url);
	}

}
