package adressa;

import java.io.File;

import org.junit.Test;

import util.FileReaderHelper;

import junit.framework.TestCase;

public class WrakeTester extends TestCase {
	
	@Test
	public void testResults(){
		File weightedRake = new File("resources/adressa/wRAKE");
		String copyPath = "resources/adressa/wRAKECOPY/";
		if(weightedRake.isDirectory()){
			File[] files = weightedRake.listFiles();

			for(File file : files){
				if(file.isDirectory()){
					File[] taggedTexts = file.listFiles();
					for(File textFile: taggedTexts){
						String fileString = FileReaderHelper.readFileToString(textFile);
						String copyString = FileReaderHelper.readFileToString(new File(copyPath + file.getName() + "/" + textFile.getName()));
//						assertEquals(fileString, copyString);
						assertEquals("Filename: " + textFile.getName(), fileString, copyString);
					}
				}
			}
		}
	}
	
	

}
