package htmlParsing.impl;

import java.io.File;

import util.FileReaderHelper;
import util.HtmlTagHelper;
import util.StringToFile;

public class HtmlTagsParser {
	
	public void parse(File file){
		String text = FileReaderHelper.readFileToString(file);
//		String strongText= "<HEADER>" + HtmlTagHelper.getStrongTaggedText(text) + "</HEADER>";
		text = HtmlTagHelper.formatTextWithHtmlTags(text);
		StringToFile.writeToFile(text, file.getName());
	}
	
	public static void main(String[] args) {
		File dir = new File(global.GlobalParameters.DOCUMENT_PATH);
		File[] files = dir.listFiles();
		HtmlTagsParser parser = new HtmlTagsParser();
		
		for(File file : files){
			if(file.isDirectory()){
				continue;
			}
			
			parser.parse(file);
			
		}
	}

}
