package stopword;

import java.io.File;
import java.util.HashMap;
import java.util.HashSet;

public interface OddsRatioEntity {

	public abstract void calculateRatio(File doc);

	public abstract void addToOccurenceMap(String s);

	public abstract HashSet<String> getTerms(File file);

	public abstract HashMap<String, Integer> getOccurenceMap();

	public abstract void setOccurenceMap(HashMap<String, Integer> occurenceMap);

	public abstract int getNumberOfDocs();

	public abstract void setNumberOfDocs(int numberOfDocs);

	public abstract HashMap<String, Double> getOddsProbMap();

	public abstract void setOddsProbMap(HashMap<String, Double> oddsProbMap);

}