package taggerAndWordbank.impl;

import java.util.HashSet;

import taggerAndWordbank.*;



public class WordbankFilter implements Filter{
	
	private HashSet<String> wordbankMap;
	private WordbankFromSerializedParser parser;
	
	public WordbankFilter(){
		parser = new WordbankFromSerializedParser();
		try{
//			wordbankMap = parser.extractNounWords(null);
			wordbankMap = parser.extractAllWords(null);
		}
		catch(Exception e){
			e.printStackTrace();
		}
	}
	
	public String filterWord(String word){
		if(wordbankMap.contains(word)){
			
//			System.out.println(word);
			return word;
		}
		return "";
	}
	
	public boolean isInList(String word){
		return wordbankMap.contains(word);
	}
	
	
}
