package unused;

import java.io.File;

import util.FileReaderHelper;
import util.StringToFile;

public class HeaderRemover {
	
	public String[] parse(File file){
		String[] contentArray = new String[3];
		String text = FileReaderHelper.readFileToString(file);
		int start = text.indexOf("\\*TITLE\\*" + "\\*TITLE\\*".length());
		int end = text.indexOf("\\*/TITLE\\*");
		contentArray[0] = text.substring(start, end);
		start = text.indexOf("\\*HEADER\\*" + "\\*HEADER\\*".length());
		end = text.indexOf("\\*/HEADER\\*");
		contentArray[1] = text.substring(start, end);
		contentArray[2] = text.substring(end + "\\*/HEADER\\*".length());
//		StringToFile.writeToFile(text, file.getName());
		return contentArray;
	}
	
	
	public static void main(String[] args) {
		File dir = new File(global.GlobalParameters.DOCUMENT_PATH);
		File[] files = dir.listFiles();
		HeaderRemover parser = new HeaderRemover();
		
		for(File file : files){
			if(file.isDirectory()){
				continue;
			}
			
			parser.parse(file);
			
		}
	}

}
