package unused;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.HashSet;
import java.util.Scanner;

import parsers.Parser;

public class WordParser implements Parser{

	//	private final String fullFormPath = "C:\\Kristian\\skole\\ordbank_bm";
	private final String fileName = "fullform_bm.txt";

	public HashSet<String> extractAllWords(File file) throws FileNotFoundException {

		if(file == null){
			file = new File(RESOURCE_PATH+fileName);
		}
		HashSet<String> collection = new HashSet<String>();

		String aLine;
		String[] aLineTable;

		try {
			FileReader fr = new FileReader(file);
			BufferedReader br = new BufferedReader(fr);
			int cnt = 0;
			aLine = br.readLine();
			while (aLine != null){
				aLine = aLine.replaceAll("\\s+", " "); // Replace multiple whitespaces with one whitespace				
				aLineTable = aLine.split(" ");
				collection.add(aLineTable[2]);	
				cnt++;
			}
			br.close();
			System.out.println(cnt);
		}
		catch (IOException e) {
			System.err.println(e);
		}
		return collection;

	}

	public HashSet<String> extractNounWords(File file) throws FileNotFoundException {

		if(file == null){
			file = new File(RESOURCE_PATH+fileName);
		}
		HashSet<String> collection = new HashSet<String>();

		Scanner scanner = new Scanner(file);
		String aLine;
		String[] aLineTable;
		try{
			while (scanner.hasNext()){		
				aLine = scanner.nextLine();
				aLine.replaceAll("\\b\\s{2,}\\b", " "); // Replace multiple whitespaces with one whitespace

				aLineTable = aLine.split(" ");
				if(aLineTable[3].equals("subst")){
					collection.add(aLineTable[2]);
				}						
			}
		}
		catch(Exception e){

		}
		return collection;

	}
}
