package util;

import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.net.URI;
import java.net.URL;
import java.util.ArrayList;
import java.util.Scanner;

public class FileToString {

//	private static String dirPath = "D:\\Kristian\\Skole\\workspace\\Master\\resources\\documents\\";

	public static String readFromFile(String absolouteFilename)throws IOException{
		//			    log("Reading from file.");
		StringBuilder text = new StringBuilder();
		String NL = System.getProperty("line.separator");
		Scanner scanner = new Scanner(new FileInputStream(absolouteFilename), "cp1252");
		try {
			while (scanner.hasNextLine()){
				String nextline = scanner.nextLine();
				nextline = nextline.replaceAll("&oslash;", "");
				nextline = nextline.replaceAll("&aelig;", "");
				nextline = nextline.replaceAll("&aring;", "");	
				nextline = nextline.replaceAll("&ndash;", "");	
				text.append(nextline + NL);
			}
		}
		finally{
			scanner.close();
		}
		return text.toString();
//		log("Text read in: " + text);
	}
	
	public static ArrayList<String> readStringArrayFromFile(String absolouteFilename)throws IOException{
		//			    log("Reading from file.");
		ArrayList<String> text = new ArrayList<String>();
//		String NL = System.getProperty("line.separator");
		Scanner scanner = new Scanner(new FileInputStream(absolouteFilename), "cp1252");
		try {
			while (scanner.hasNextLine()){
				String nextline = scanner.nextLine();
				nextline = nextline.replaceAll("&oslash;", "");
				nextline = nextline.replaceAll("&aelig;", "");
				nextline = nextline.replaceAll("&aring;", "");	
				nextline = nextline.replaceAll("&ndash;", "");	
				text.add(nextline);
			}
		}
		finally{
			scanner.close();
		}
		return text;
//		log("Text read in: " + text);
	}
	
	


}


