package util;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;

public class FileWriterHelper {
	
	  public static void writeFile(String path, String text) {
	      try {
	        FileOutputStream fos =
	            new FileOutputStream(new File(path));
	        OutputStreamWriter osw =
//	            new OutputStreamWriter(fos, "UTF8");
	        	new OutputStreamWriter(fos);
	        PrintWriter pw =
	            new PrintWriter(osw);
	        pw.print(text);
	        pw.close();
	      }
	      catch (IOException e) {
	        System.err.println(e);
	      }
	    }
	  
	  public static void writeFile(String path, String text, String encoding) {
	      try {
	        FileOutputStream fos =
	            new FileOutputStream(new File(path));
	        OutputStreamWriter osw =
//	            new OutputStreamWriter(fos, "UTF8");
	        	new OutputStreamWriter(fos,encoding);
	        PrintWriter pw =
	            new PrintWriter(osw);
	        pw.print(text);
	        pw.close();
	      }
	      catch (IOException e) {
	        System.err.println(e);
	      }
	    }



}
