package util;

import java.util.Comparator;

import keyphraseExtraction.Phrase;

public class PhraseComparator implements Comparator<Phrase>{

	@Override
	public int compare(Phrase o1, Phrase o2) {
		Double i1 = o1.getScore();
		Double i2 = o2.getScore();

		if(i1>i2){
			return -1;
		}
		else if(i2>i1){
			return 1;
		}
		else{
			String s1 = o1.getPhraseToString();
			String s2 = o2.getPhraseToString();
			return s2.compareTo(s1);
		}
		
	}

}
