package util;

import java.util.Comparator;

import keyphraseExtraction.Phrase;

/**
 * Sorts a list of phrases in ascending order of the number of words the string contains. (Short words at start)
 * @author Kristian
 *
 */
public class WordLengthComparator implements Comparator<Object>{

	@Override
	public int compare(Object arg0, Object arg1) {
		Phrase p1 = (Phrase)arg0;
		Phrase p2 = (Phrase)arg1;
		Integer i1 = p1.getWordLength();
		Integer i2 = p2.getWordLength();
		
		return i1.compareTo(i2);
	}
	
	

}
